CREATE INDEX XIF3SBI_CHECKS ON SBI_CHECKS
(
       VALUE_TYPE_ID                  ASC
);

CREATE INDEX XIF1SBI_EXT_ROLES ON SBI_EXT_ROLES
(
       ROLE_TYPE_ID                   ASC
);

CREATE INDEX XIF1SBI_FUNC_ROLE ON SBI_FUNC_ROLE
(
       ROLE_ID                        ASC
);

CREATE INDEX XIF2SBI_FUNC_ROLE ON SBI_FUNC_ROLE
(
       FUNCT_ID                       ASC
);

CREATE INDEX XIF4SBI_FUNC_ROLE ON SBI_FUNC_ROLE
(
       STATE_ID                       ASC
);

CREATE INDEX XIF1SBI_FUNCTIONS ON SBI_FUNCTIONS
(
       FUNCT_TYPE_ID                  ASC
);

CREATE INDEX XIF2SBI_FUNCTIONS ON SBI_FUNCTIONS
(
       PARENT_FUNCT_ID                ASC
);

CREATE INDEX XIF3SBI_LOV ON SBI_LOV
(
       INPUT_TYPE_ID                  ASC
);

CREATE INDEX XIF1SBI_OBJ_FUNC ON SBI_OBJ_FUNC
(
       BIOBJ_ID                       ASC
);

CREATE INDEX XIF2SBI_OBJ_FUNC ON SBI_OBJ_FUNC
(
       FUNCT_ID                       ASC
);

CREATE INDEX XIF1SBI_OBJ_PAR ON SBI_OBJ_PAR
(
       PAR_ID                         ASC
);

CREATE INDEX XIF2SBI_OBJ_PAR ON SBI_OBJ_PAR
(
       BIOBJ_ID                       ASC
);

CREATE INDEX XIF3SBI_OBJ_STATE ON SBI_OBJ_STATE
(
       BIOBJ_ID                       ASC
);

CREATE INDEX XIF4SBI_OBJ_STATE ON SBI_OBJ_STATE
(
       STATE_ID                       ASC
);

CREATE INDEX XIF2SBI_OBJECTS ON SBI_OBJECTS
(
       STATE_ID                       ASC
);

CREATE INDEX XIF4SBI_OBJECTS ON SBI_OBJECTS
(
       BIOBJ_TYPE_ID                  ASC
);

CREATE INDEX XIF5SBI_OBJECTS ON SBI_OBJECTS
(
       EXEC_MODE_ID                   ASC
);

CREATE INDEX XIF6SBI_OBJECTS ON SBI_OBJECTS
(
       STATE_CONS_ID                  ASC
);

CREATE INDEX XIF1SBI_PARAMETERS ON SBI_PARAMETERS
(
       PAR_TYPE_ID                    ASC
);

CREATE INDEX XIF1SBI_PARUSE ON SBI_PARUSE
(
       PAR_ID                         ASC
);

CREATE INDEX XIF2SBI_PARUSE ON SBI_PARUSE
(
       LOV_ID                         ASC
);

CREATE INDEX XIF1SBI_PARUSE_CK ON SBI_PARUSE_CK
(
       USE_ID                         ASC
);

CREATE INDEX XIF2SBI_PARUSE_CK ON SBI_PARUSE_CK
(
       CHECK_ID                       ASC
);

CREATE INDEX XIF2SBI_PARUSE_DET ON SBI_PARUSE_DET
(
       EXT_ROLE_ID                    ASC
);

CREATE INDEX XIF3SBI_PARUSE_DET ON SBI_PARUSE_DET
(
       USE_ID                         ASC
);


ALTER TABLE SBI_CHECKS ADD CONSTRAINT FK_sbi_checks_1 FOREIGN KEY ( VALUE_TYPE_ID ) REFERENCES SBI_DOMAINS ( VALUE_ID );
ALTER TABLE SBI_EXT_ROLES ADD CONSTRAINT FK_sbi_ext_roles_1 FOREIGN KEY ( ROLE_TYPE_ID ) REFERENCES SBI_DOMAINS ( VALUE_ID );
ALTER TABLE SBI_FUNC_ROLE ADD CONSTRAINT FK_sbi_func_role_3 FOREIGN KEY ( FUNCT_ID ) REFERENCES SBI_FUNCTIONS ( FUNCT_ID );
ALTER TABLE SBI_FUNC_ROLE ADD CONSTRAINT FK_sbi_func_role_1 FOREIGN KEY ( ROLE_ID ) REFERENCES SBI_EXT_ROLES ( EXT_ROLE_ID );
ALTER TABLE SBI_FUNC_ROLE ADD CONSTRAINT FK_sbi_func_role_2 FOREIGN KEY ( STATE_ID ) REFERENCES SBI_DOMAINS ( VALUE_ID );
ALTER TABLE SBI_FUNCTIONS ADD CONSTRAINT FK_sbi_functions_1 FOREIGN KEY ( FUNCT_TYPE_ID ) REFERENCES SBI_DOMAINS ( VALUE_ID );
ALTER TABLE SBI_FUNCTIONS ADD CONSTRAINT FK_sbi_functions_2 FOREIGN KEY ( PARENT_FUNCT_ID ) REFERENCES SBI_FUNCTIONS ( FUNCT_ID );
ALTER TABLE SBI_LOV ADD CONSTRAINT FK_sbi_lov_1 FOREIGN KEY ( INPUT_TYPE_ID ) REFERENCES SBI_DOMAINS ( VALUE_ID );
ALTER TABLE SBI_OBJ_FUNC ADD CONSTRAINT FK_sbi_obj_func_2 FOREIGN KEY ( BIOBJ_ID ) REFERENCES SBI_OBJECTS ( BIOBJ_ID );
ALTER TABLE SBI_OBJ_FUNC ADD CONSTRAINT FK_sbi_obj_func_1 FOREIGN KEY ( FUNCT_ID ) REFERENCES SBI_FUNCTIONS ( FUNCT_ID );
ALTER TABLE SBI_OBJ_PAR ADD CONSTRAINT FK_sbi_obj_par_1 FOREIGN KEY ( BIOBJ_ID ) REFERENCES SBI_OBJECTS ( BIOBJ_ID );
ALTER TABLE SBI_OBJ_PAR ADD CONSTRAINT FK_sbi_obj_par_2 FOREIGN KEY ( PAR_ID ) REFERENCES SBI_PARAMETERS ( PAR_ID );
ALTER TABLE SBI_OBJ_STATE ADD CONSTRAINT FK_sbi_obj_state_1 FOREIGN KEY ( BIOBJ_ID ) REFERENCES SBI_OBJECTS ( BIOBJ_ID );
ALTER TABLE SBI_OBJ_STATE ADD CONSTRAINT FK_sbi_obj_state_2 FOREIGN KEY ( STATE_ID ) REFERENCES SBI_DOMAINS ( VALUE_ID );
ALTER TABLE SBI_OBJECTS ADD CONSTRAINT FK_sbi_objects_2 FOREIGN KEY ( STATE_ID ) REFERENCES SBI_DOMAINS ( VALUE_ID );
ALTER TABLE SBI_OBJECTS ADD CONSTRAINT FK_sbi_objects_3 FOREIGN KEY ( BIOBJ_TYPE_ID ) REFERENCES SBI_DOMAINS ( VALUE_ID );
ALTER TABLE SBI_OBJECTS ADD CONSTRAINT FK_sbi_objects_5 FOREIGN KEY ( ENGINE_ID ) REFERENCES SBI_ENGINES ( ENGINE_ID );
ALTER TABLE SBI_OBJECTS ADD CONSTRAINT FK_sbi_objects_4 FOREIGN KEY ( EXEC_MODE_ID ) REFERENCES SBI_DOMAINS ( VALUE_ID );
ALTER TABLE SBI_OBJECTS ADD CONSTRAINT FK_sbi_objects_1 FOREIGN KEY ( STATE_CONS_ID ) REFERENCES SBI_DOMAINS ( VALUE_ID );
ALTER TABLE SBI_PARAMETERS ADD CONSTRAINT FK_sbi_parameters_1 FOREIGN KEY ( PAR_TYPE_ID ) REFERENCES SBI_DOMAINS ( VALUE_ID );
ALTER TABLE SBI_PARUSE ADD CONSTRAINT FK_sbi_paruse_1 FOREIGN KEY ( PAR_ID ) REFERENCES SBI_PARAMETERS ( PAR_ID );
ALTER TABLE SBI_PARUSE ADD CONSTRAINT FK_sbi_paruse_2 FOREIGN KEY ( LOV_ID ) REFERENCES SBI_LOV ( LOV_ID );
ALTER TABLE SBI_PARUSE_CK ADD CONSTRAINT FK_sbi_paruse_ck_1 FOREIGN KEY ( USE_ID ) REFERENCES SBI_PARUSE ( USE_ID );
ALTER TABLE SBI_PARUSE_CK ADD CONSTRAINT FK_sbi_paruse_ck_2 FOREIGN KEY ( CHECK_ID ) REFERENCES SBI_CHECKS ( CHECK_ID );
ALTER TABLE SBI_PARUSE_DET ADD CONSTRAINT FK_sbi_paruse_det_1 FOREIGN KEY ( USE_ID ) REFERENCES SBI_PARUSE ( USE_ID );
ALTER TABLE SBI_PARUSE_DET ADD CONSTRAINT FK_sbi_paruse_det_2 FOREIGN KEY ( EXT_ROLE_ID ) REFERENCES SBI_EXT_ROLES ( EXT_ROLE_ID );
ALTER TABLE SBI_OBJ_PARUSE ADD CONSTRAINT FK_sbi_obj_paruse_1 FOREIGN KEY ( OBJ_PAR_ID ) REFERENCES SBI_OBJ_PAR ( OBJ_PAR_ID );
ALTER TABLE SBI_OBJ_PARUSE ADD CONSTRAINT FK_sbi_obj_paruse_2 FOREIGN KEY ( USE_ID ) REFERENCES SBI_PARUSE ( USE_ID );
ALTER TABLE SBI_OBJ_PARUSE ADD CONSTRAINT FK_sbi_obj_paruse_3 FOREIGN KEY ( OBJ_PAR_FATHER_ID ) REFERENCES SBI_OBJ_PAR ( OBJ_PAR_ID );
ALTER TABLE SBI_ENGINES ADD CONSTRAINT FK_sbi_engines_1 FOREIGN KEY ( BIOBJ_TYPE ) REFERENCES SBI_DOMAINS ( VALUE_ID );
ALTER TABLE SBI_ENGINES ADD CONSTRAINT FK_sbi_engines_2 FOREIGN KEY ( ENGINE_TYPE ) REFERENCES SBI_DOMAINS ( VALUE_ID );
ALTER TABLE SBI_EVENTS_ROLES ADD CONSTRAINT FK_sbi_events_roles_1 FOREIGN KEY ( ROLE_ID ) REFERENCES SBI_EXT_ROLES ( EXT_ROLE_ID );
ALTER TABLE SBI_EVENTS_ROLES ADD CONSTRAINT FK_sbi_events_roles_2 FOREIGN KEY ( EVENT_ID ) REFERENCES SBI_EVENTS_LOG ( ID );
ALTER TABLE SBI_SUBREPORTS ADD CONSTRAINT FK_sbi_subreports_1 FOREIGN KEY ( MASTER_RPT_ID ) REFERENCES SBI_OBJECTS ( BIOBJ_ID );
ALTER TABLE SBI_SUBREPORTS ADD CONSTRAINT FK_sbi_subreports_2 FOREIGN KEY ( SUB_RPT_ID ) REFERENCES SBI_OBJECTS ( BIOBJ_ID );
ALTER TABLE SBI_AUDIT ADD CONSTRAINT FK_sbi_audit_1 FOREIGN KEY (DOC_REF) REFERENCES SBI_OBJECTS ( BIOBJ_ID );
ALTER TABLE SBI_AUDIT ADD CONSTRAINT FK_sbi_audit_2 FOREIGN KEY (ENGINE_REF) REFERENCES SBI_ENGINES (ENGINE_ID);
ALTER TABLE SBI_GEO_MAP_FEATURES ADD CONSTRAINT FK_geo_map_features1 FOREIGN KEY (MAP_ID) REFERENCES SBI_GEO_MAPS (MAP_ID); 
ALTER TABLE SBI_GEO_MAP_FEATURES ADD CONSTRAINT FK_geo_map_features2 FOREIGN KEY (FEATURE_ID) REFERENCES SBI_GEO_FEATURES (FEATURE_ID); 
ALTER TABLE SBI_VIEWPOINTS ADD CONSTRAINT FK_viewpoints_1 FOREIGN KEY (BIOBJ_ID) REFERENCES SBI_OBJECTS (BIOBJ_ID);
